# Reference

## boost::redis::adapter::operator==

Compares two error objects for equality

### Synopsis

Declared in `<boost/redis/adapter/result.hpp>`

    bool
    operator==(
        error const& a,
        error const& b);

### Return Value

`true` if the objects are equal, `false` otherwise

### Parameters

Name | Description
a | Left hand side error object.
b | Right hand side error object.

Created with MrDocs